<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('chat_histories', function (Blueprint $table) {
            $table->id();

            $table->foreignId('chat_id')->constrained()->cascadeOnDelete();

            $table->text('content');
            $table->string('role');
            //            $table->string('model');

            // input tokens
            $table->integer('input_tokens')->nullable();

            // output tokens
            $table->integer('output_tokens')->nullable();

            $table->integer('total_tokens')->nullable();

            // index
            $table->index(['chat_id', 'role']);

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('chat_histories');
    }
};
