<?php

use App\Http\Controllers\Api\AssistantController;
use App\Http\Controllers\Api\AssistantToolController;
use App\Http\Controllers\Api\ChatController;
use App\Http\Controllers\Api\ChatHistoryController;
use App\Http\Controllers\Api\ToolController;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

Route::middleware(['auth:api,web'])->group(function () {
    Route::get('/user', function (Request $request) {
        return $request->user();
    });

    Route::apiResource('tools', ToolController::class);
    Route::apiResource('assistants', AssistantController::class);
    Route::apiResource('chats', ChatController::class);
    Route::apiResource('chats.histories', ChatHistoryController::class)->only(['index', 'store']);

    Route::get('assistants/{assistant}/tools', [AssistantToolController::class, 'index']);
    Route::post('assistants/{assistant}/tools', [AssistantToolController::class, 'store']);
    Route::delete('assistants/{assistant}/tools/{tool}', [AssistantToolController::class, 'destroy']);
});

Route::get('chat_stream/{stream_id}', [ChatHistoryController::class, 'stream'])->name('chat-stream');
